{{- if .Values.migrations.enabled }}
apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ include "gitlab-apm.fullname" . }}-migration-{{ .Release.Revision }}
  labels:
    {{- include "gitlab-apm.labels" . | nindent 4 }}
    migration-state-revision: "{{ .Release.Revision }}"
  annotations:
    "helm.sh/hook": post-install,pre-upgrade
    "helm.sh/hook-weight": "3"
data:
  migrated_from: ""
  migrated_to: ""
{{- end }}